module Microdata
  class Schema
    attr_reader :assined_attributes
    attr_writer :top_level

    def initialize(*args)
      @top_level = true
      @required_attributes_for_top_level_things = {
        '@context' => "http://schema.org",
      }
      @required_attributes = {
        '@type' => self.class.to_s.split(/::/).last
      }
      @assined_attributes = []
    end

    def to_json_ld
    end

    autoload :List,               'microdata/schema/list'
    autoload :Thing,              'microdata/schema/thing'
    autoload :Action,             'microdata/schema/thing/action'
    autoload :AchieveAction,      'microdata/schema/thing/action/achieve_action'
    autoload :LoseAction,         'microdata/schema/thing/action/achieve_action/lose_action'
    autoload :TieAction,          'microdata/schema/thing/action/achieve_action/tie_action'
    autoload :WinAction,          'microdata/schema/thing/action/achieve_action/win_action'
    autoload :AssessAction,       'microdata/schema/thing/action/assess_action'
    autoload :ChooseAction,       'microdata/schema/thing/action/assess_action/choose_action'
    autoload :VoteAction,         'microdata/schema/thing/action/assess_action/choose_action/vote_action'
    autoload :IgnoreAction,       'microdata/schema/thing/action/assess_action/ignore_action'
    autoload :ReactAction,        'microdata/schema/thing/action/assess_action/react_action'
    autoload :AgreeAction,        'microdata/schema/thing/action/assess_action/react_action/agree_action'
    autoload :DisagreeAction,     'microdata/schema/thing/action/assess_action/react_action/disagree_action'
    autoload :DislikeAction,      'microdata/schema/thing/action/assess_action/react_action/dislike_action'
    autoload :EndorseAction,      'microdata/schema/thing/action/assess_action/react_action/endorsee_action'
    autoload :LikeAction,         'microdata/schema/thing/action/assess_action/react_action/like_action'
    autoload :WantAction,         'microdata/schema/thing/action/assess_action/react_action/want_action'
    autoload :ReviewAction,       'microdata/schema/thing/action/assess_action/review_action'
    autoload :ConsumeAction,      'microdata/schema/thing/action/consume_action'
    autoload :DrinkAction,        'microdata/schema/thing/action/consume_action/drink_action'
    autoload :EatAction,          'microdata/schema/thing/action/consume_action/eat_action'
    autoload :InstallAction,      'microdata/schema/thing/action/consume_action/install_action'
    autoload :ListenAction,       'microdata/schema/thing/action/consume_action/listen_action'
    autoload :ReadAction,         'microdata/schema/thing/action/consume_action/read_action'
    autoload :UseAction,          'microdata/schema/thing/action/consume_action/use_action'
    autoload :WearAction,         'microdata/schema/thing/action/consume_action/use_action/wear_action'
    autoload :ViewAction,         'microdata/schema/thing/action/consume_action/view_action'
    autoload :WatchAction,        'microdata/schema/thing/action/consume_action/watch_action'
    autoload :ControlAction,      'microdata/schema/thing/action/control_action'
    autoload :ActivateAction,     'microdata/schema/thing/action/control_action/activate_action'
    autoload :DeactivateAction,   'microdata/schema/thing/action/control_action/deactivate_action'
    autoload :ResumeAction,       'microdata/schema/thing/action/control_action/resume_action'
    autoload :SuspendAction,      'microdata/schema/thing/action/control_action/suspend_action'
    autoload :CreateAction,       'microdata/schema/thing/action/create_action'
    autoload :CookAction,         'microdata/schema/thing/action/create_action/cook_action'
    autoload :DrawAction,         'microdata/schema/thing/action/create_action/draw_action'
    autoload :FilmAction,         'microdata/schema/thing/action/create_action/film_action'
    autoload :PaintAction,        'microdata/schema/thing/action/create_action/paint_action'
    autoload :PhotographAction,   'microdata/schema/thing/action/create_action/photograph_action'
    autoload :WriteAction,        'microdata/schema/thing/action/create_action/write_action'
    autoload :FindAction,         'microdata/schema/thing/action/find_action'
    autoload :CheckAction,        'microdata/schema/thing/action/find_action/check_action'
    autoload :DiscoverAction,     'microdata/schema/thing/action/find_action/discover_action'
    autoload :TrackAction,        'microdata/schema/thing/action/find_action/track_action'
    autoload :InteractAction,     'microdata/schema/thing/action/interact_action'
    autoload :BefriendAction,     'microdata/schema/thing/action/interact_action/befriend_action'
    autoload :CommunicateAction,  'microdata/schema/thing/action/interact_action/communicate_action'
    autoload :AskAction,          'microdata/schema/thing/action/interact_action/communicate_action/ask_action'
    autoload :CheckInAction,      'microdata/schema/thing/action/interact_action/communicate_action/check_in_action'
    autoload :CheckOutAction,     'microdata/schema/thing/action/interact_action/communicate_action/check_out_action'
    autoload :CommentAction,      'microdata/schema/thing/action/interact_action/communicate_action/comment_action'
    autoload :InformAction,       'microdata/schema/thing/action/interact_action/communicate_action/inform_action'
    autoload :ConfirmAction,      'microdata/schema/thing/action/interact_action/communicate_action/inform_action/confirm_action'
    autoload :RsvpAction,         'microdata/schema/thing/action/interact_action/communicate_action/inform_action/rsvp_action'
    autoload :InviteAction,       'microdata/schema/thing/action/interact_action/communicate_action/invite_action'
    autoload :ReplyAction,        'microdata/schema/thing/action/interact_action/communicate_action/reply_action'
    autoload :ShareAction,        'microdata/schema/thing/action/interact_action/communicate_action/share_action'
    autoload :FollowAction,       'microdata/schema/thing/action/interact_action/follow_action'
    autoload :JoinAction,         'microdata/schema/thing/action/interact_action/join_action'
    autoload :LeaveAction,        'microdata/schema/thing/action/interact_action/leave_action'
    autoload :MarryAction,        'microdata/schema/thing/action/interact_action/marry_action'
    autoload :RegisterAction,     'microdata/schema/thing/action/interact_action/register_action'
    autoload :SubscribeAction,    'microdata/schema/thing/action/interact_action/subscribe_action'
    autoload :UnRegisterAction,   'microdata/schema/thing/action/interact_action/un_register_action'
    autoload :MoveAction,         'microdata/schema/thing/action/move_action'
    autoload :ArriveAction,       'microdata/schema/thing/action/move_action/arrive_action'
    autoload :DepartAction,       'microdata/schema/thing/action/move_action/depart_action'
    autoload :TravelAction,       'microdata/schema/thing/action/move_action/travel_action'
    autoload :OrganizeAction,     'microdata/schema/thing/action/organize_action'
    autoload :AllocateAction,     'microdata/schema/thing/action/organize_action/allocate_action'
    autoload :AcceptAction,       'microdata/schema/thing/action/organize_action/allocate_action/accept_action'
    autoload :AssignAction,       'microdata/schema/thing/action/organize_action/allocate_action/assign_action'
    autoload :AuthorizeAction,    'microdata/schema/thing/action/organize_action/allocate_action/authorize_action'
    autoload :RejectAction,       'microdata/schema/thing/action/organize_action/allocate_action/reject_action'
    autoload :ApplyAction,        'microdata/schema/thing/action/organize_action/apply_action'
    autoload :BookmarkAction,     'microdata/schema/thing/action/organize_action/bookmark_action'
    autoload :PlanAction,         'microdata/schema/thing/action/organize_action/plan_action'
    autoload :CancelAction,       'microdata/schema/thing/action/organize_action/plan_action/cancel_action'
    autoload :ReserveAction,      'microdata/schema/thing/action/organize_action/plan_action/reserve_action'
    autoload :ScheduleAction,     'microdata/schema/thing/action/organize_action/plan_action/schedule_action'
    autoload :PlayAction, 		    'microdata/schema/thing/action/play_action'

    autoload :CreativeWork,       'microdata/schema/thing/creative_work'
    autoload :Article,            'microdata/schema/thing/creative_work/article'
    autoload :TechArticle,        'microdata/schema/thing/creative_work/article/tech_article'
    autoload :SoftwareSourceCode, 'microdata/schema/thing/creative_work/software_source_code'
    autoload :WebPage,            'microdata/schema/thing/creative_work/web_page'
    autoload :AboutPage,          'microdata/schema/thing/creative_work/web_page/about_page'
    autoload :ProfilePage,        'microdata/schema/thing/creative_work/web_page/profile_page'
    autoload :WebSite,            'microdata/schema/thing/creative_work/web_site'
    autoload :Event,              'microdata/schema/thing/event'
    autoload :Intangible,         'microdata/schema/thing/intangible'
    autoload :ItemList,           'microdata/schema/thing/intangible/item_list'
    autoload :BreadcrumbList,     'microdata/schema/thing/intangible/item_list/breadcrumb_list'
    autoload :ListItem,           'microdata/schema/thing/intangible/list_item'
    autoload :Organization,       'microdata/schema/thing/organization'
    autoload :Person,             'microdata/schema/thing/person'
    autoload :Place,              'microdata/schema/thing/place'
    autoload :Product,            'microdata/schema/thing/product'
  end
end
